package _01_作业;

public class Test1 {
    public static void main(String[] args) {
//        1. 定义出原数组arr，其中包含多个数字。  [10,13,14,15,16,17,18,19]
        int[] oldArr = {10,11,12,13,14,15,16};
//        2. 定义新数组brr，和arr的长度一样。   new  int[arr.length]
        int[] newArr = new int[oldArr.length];
//        3. 定义变量left，初始值是0准备从左边放元素，定义变量right，初始值是arr.length-1准备从右边放元素。
//        4. int left = 0;    int rigth = arr.length-1
        int left = 0;
        int rigth = oldArr.length - 1;
//        5. 对原数组arr进行遍历。 ele % 2 == 0
        for (int i = 0; i < oldArr.length; i++) {
            if (oldArr[i] % 2 == 0){
                // 8. 如果元素是偶数，则放在新数组brr的右边，right变量减一。
                newArr[rigth] = oldArr[i];
                rigth --;
            }else{
               //6. 如果元素是奇数，则放在新数组brr的左边，left变量加一。
                newArr[left] = oldArr[i];
                left ++;
            }
        }
//        9. 遍历新数组brr打印最终结果。
        for (int i = 0; i < newArr.length; i++) {
            System.out.print(newArr[i]+" ");
        }
    }
}
